Bug 211057 - Alt+Shift doesn't work
Alt+Shift doesn't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 20:13 EDT by Felipe Contreras
Modified: 2008-10-23 18:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 00:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Contreras 2006-10-16 20:13:02 EDT
Description of problem:

When I select Alt+Shift to change the group, it doesn't.

How reproducible: 100%

Steps to Reproduce:
1. Go to Keyboard Preferences.
2. Go to Layouts, add a layout.
3. Go to Layout Options, select Alt+Shift changes group.
4. Press Alt+Shift.

Actual results:

I doesn't change the group. It changes if I do Shift+Left Alt, but not
Shift+Right Alt, or Left Alt+Shift.

Expected results:

The group should change with any combination.

Additional info:

I tried a lot of other options, there seem to be issues with the Alt keys, but I
didn't document them.
Comment 1 Matthew Miller 2007-04-06 12:46:23 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Felipe Contreras 2007-04-14 14:20:21 EDT
This is still an issue in FC6, and now in F7 t3, but it's not on the list.

Only that in F7 the order is different, now Left Alt + Shift is the only one
that works.
Comment 3 Pavel Lisy 2007-05-25 09:10:57 EDT
similar problem:
when I set in gnome-keyboard-properties  
Tab: Layout Options -> Group Shift/Lock behavior
only this:
"Both Shift keys together change group" 

Ctrl-Alt-F1 [...F6] isn't working

if I add second option
"Both Alt keys together change group"

Ctrl-Alt-F1 [...F6] is working again
Comment 4 Felipe Contreras 2007-10-12 17:14:42 EDT
Any updates on this?
Comment 5 Ray Strode [halfline] 2008-03-18 14:41:25 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 6 Felipe Contreras 2008-03-18 14:50:22 EDT
This is still valid on F8. Alt Gr + Shift doesn't work.
Comment 7 Peter Hutterer 2008-10-23 00:02:54 EDT
Group switching is handled in the X server - reassigning.
However, I tested this under F9 and it works fine - CLOSING, CURRENTRELEASE. Please reopen if you can reproduce the issue.
Comment 8 Felipe Contreras 2008-10-23 04:55:03 EDT
Peter: you are right, now alt+shift works fine in F9, but now both alt keys doesn't work.

Shall I open another bug report regarding that?
Comment 9 Peter Hutterer 2008-10-23 18:33:59 EDT
Bug 443763 covers that already. Thanks though.

Note You need to log in before you can comment on or make changes to this bug.